Package com.independentsoft.office.spreadsheet

# Class SpreadsheetEnumUtil

java.lang.Object
com.independentsoft.office.spreadsheet.SpreadsheetEnumUtil

public class SpreadsheetEnumUtil extends Object
The Class SpreadsheetEnumUtil.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `parseBoolean​(String booleanString)`
  Parses the boolean.
  `static String`
  `parseBorderStyle​(BorderStyle style)`
  Parses the border style.
  `static BorderStyle`
  `parseBorderStyle​(String style)`
  Parses the border style.
  `static String`
  `parseCalculationMode​(CalculationMode mode)`
  Parses the calculation mode.
  `static CalculationMode`
  `parseCalculationMode​(String mode)`
  Parses the calculation mode.
  `static String`
  `parseCalendarType​(CalendarType type)`
  Parses the calendar type.
  `static CalendarType`
  `parseCalendarType​(String type)`
  Parses the calendar type.
  `static String`
  `parseCellComment​(CellComment comment)`
  Parses the cell comment.
  `static CellComment`
  `parseCellComment​(String comment)`
  Parses the cell comment.
  `static String`
  `parseCellType​(CellType type)`
  Parses the cell type.
  `static CellType`
  `parseCellType​(String type)`
  Parses the cell type.
  `static String`
  `parseCommandType​(CommandType type)`
  Parses the command type.
  `static CommandType`
  `parseCommandType​(String type)`
  Parses the command type.
  `static String`
  `parseCommentDisplayType​(CommentDisplayType type)`
  Parses the comment display type.
  `static CommentDisplayType`
  `parseCommentDisplayType​(String type)`
  Parses the comment display type.
  `static String`
  `parseConditionalFormatOperator​(ConditionalFormatOperator formatOperator)`
  Parses the conditional format operator.
  `static ConditionalFormatOperator`
  `parseConditionalFormatOperator​(String formatOperator)`
  Parses the conditional format operator.
  `static String`
  `parseConditionalFormatType​(ConditionalFormatType type)`
  Parses the conditional format type.
  `static ConditionalFormatType`
  `parseConditionalFormatType​(String type)`
  Parses the conditional format type.
  `static String`
  `parseConditionalFormatValueObjectType​(ConditionalFormatValueObjectType type)`
  Parses the conditional format value object type.
  `static ConditionalFormatValueObjectType`
  `parseConditionalFormatValueObjectType​(String type)`
  Parses the conditional format value object type.
  `static String`
  `parseCredentialsMethod​(CredentialsMethod method)`
  Parses the credentials method.
  `static CredentialsMethod`
  `parseCredentialsMethod​(String method)`
  Parses the credentials method.
  `static String`
  `parseDatabaseSourceType​(DatabaseSourceType type)`
  Parses the database source type.
  `static DatabaseSourceType`
  `parseDatabaseSourceType​(String type)`
  Parses the database source type.
  `static String`
  `parseDataBindingLoadMode​(DataBindingLoadMode mode)`
  Parses the data binding load mode.
  `static DataBindingLoadMode`
  `parseDataBindingLoadMode​(String mode)`
  Parses the data binding load mode.
  `static String`
  `parseDataConsolidateFunction​(DataConsolidateFunction function)`
  Parses the data consolidate function.
  `static DataConsolidateFunction`
  `parseDataConsolidateFunction​(String function)`
  Parses the data consolidate function.
  `static String`
  `parseDataValidationErrorStyle​(DataValidationErrorStyle style)`
  Parses the data validation error style.
  `static DataValidationErrorStyle`
  `parseDataValidationErrorStyle​(String style)`
  Parses the data validation error style.
  `static String`
  `parseDataValidationImeMode​(DataValidationImeMode mode)`
  Parses the data validation ime mode.
  `static DataValidationImeMode`
  `parseDataValidationImeMode​(String mode)`
  Parses the data validation ime mode.
  `static String`
  `parseDataValidationOperator​(DataValidationOperator op)`
  Parses the data validation operator.
  `static DataValidationOperator`
  `parseDataValidationOperator​(String op)`
  Parses the data validation operator.
  `static String`
  `parseDataValidationType​(DataValidationType type)`
  Parses the data validation type.
  `static DataValidationType`
  `parseDataValidationType​(String type)`
  Parses the data validation type.
  `static String`
  `parseDataViewAspectType​(DataViewAspectType type)`
  Parses the data view aspect type.
  `static DataViewAspectType`
  `parseDataViewAspectType​(String type)`
  Parses the data view aspect type.
  `static String`
  `parseDateTimeGrouping​(DateTimeGrouping grouping)`
  Parses the date time grouping.
  `static DateTimeGrouping`
  `parseDateTimeGrouping​(String grouping)`
  Parses the date time grouping.
  `static String`
  `parseDdeValueType​(DdeValueType type)`
  Parses the dde value type.
  `static DdeValueType`
  `parseDdeValueType​(String type)`
  Parses the dde value type.
  `static String`
  `parseDisplayFormat​(DisplayFormat format)`
  Parses the display format.
  `static DisplayFormat`
  `parseDisplayFormat​(String format)`
  Parses the display format.
  `static String`
  `parseDynamicFilterType​(DynamicFilterType type)`
  Parses the dynamic filter type.
  `static DynamicFilterType`
  `parseDynamicFilterType​(String type)`
  Parses the dynamic filter type.
  `static String`
  `parseEditAs​(EditAs edit)`
  Parses the edit as.
  `static EditAs`
  `parseEditAs​(String edit)`
  Parses the edit as.
  `static String`
  `parseFieldSortType​(FieldSortType type)`
  Parses the field sort type.
  `static FieldSortType`
  `parseFieldSortType​(String type)`
  Parses the field sort type.
  `static String`
  `parseFileType​(FileType type)`
  Parses the file type.
  `static FileType`
  `parseFileType​(String type)`
  Parses the file type.
  `static String`
  `parseFilterOperator​(FilterOperator filterOperator)`
  Parses the filter operator.
  `static FilterOperator`
  `parseFilterOperator​(String filterOperator)`
  Parses the filter operator.
  `static String`
  `parseFontScheme​(FontScheme scheme)`
  Parses the font scheme.
  `static FontScheme`
  `parseFontScheme​(String scheme)`
  Parses the font scheme.
  `static String`
  `parseFormulaExpressionType​(FormulaExpressionType type)`
  Parses the formula expression type.
  `static FormulaExpressionType`
  `parseFormulaExpressionType​(String type)`
  Parses the formula expression type.
  `static String`
  `parseFormulaType​(FormulaType type)`
  Parses the formula type.
  `static FormulaType`
  `parseFormulaType​(String type)`
  Parses the formula type.
  `static String`
  `parseFunctionGroupCategory​(FunctionGroupCategory group)`
  Parses the function group category.
  `static FunctionGroupCategory`
  `parseFunctionGroupCategory​(String group)`
  Parses the function group category.
  `static String`
  `parseGradientType​(GradientType type)`
  Parses the gradient type.
  `static GradientType`
  `parseGradientType​(String type)`
  Parses the gradient type.
  `static String`
  `parseGrowShrinkType​(GrowShrinkType type)`
  Parses the grow shrink type.
  `static GrowShrinkType`
  `parseGrowShrinkType​(String type)`
  Parses the grow shrink type.
  `static String`
  `parseHorizontalAlignment​(HorizontalAlignment alignment)`
  Parses the horizontal alignment.
  `static HorizontalAlignment`
  `parseHorizontalAlignment​(String alignment)`
  Parses the horizontal alignment.
  `static String`
  `parseHtmlFormattingHandling​(HtmlFormattingHandling handling)`
  Parses the html formatting handling.
  `static HtmlFormattingHandling`
  `parseHtmlFormattingHandling​(String handling)`
  Parses the html formatting handling.
  `static String`
  `parseIconSetType​(IconSetType type)`
  Parses the icon set type.
  `static IconSetType`
  `parseIconSetType​(String type)`
  Parses the icon set type.
  `static String`
  `parseIndexedColor​(IndexedColor color)`
  Parses the indexed color.
  `static IndexedColor`
  `parseIndexedColor​(String color)`
  Parses the indexed color.
  `static String`
  `parseObjectDisplayType​(ObjectDisplayType type)`
  Parses the object display type.
  `static ObjectDisplayType`
  `parseObjectDisplayType​(String type)`
  Parses the object display type.
  `static String`
  `parseOleUpdateType​(OleUpdateType type)`
  Parses the ole update type.
  `static OleUpdateType`
  `parseOleUpdateType​(String type)`
  Parses the ole update type.
  `static String`
  `parseOrientation​(Orientation orientation)`
  Parses the orientation.
  `static Orientation`
  `parseOrientation​(String orientation)`
  Parses the orientation.
  `static String`
  `parsePageOrder​(PageOrder order)`
  Parses the page order.
  `static PageOrder`
  `parsePageOrder​(String order)`
  Parses the page order.
  `static String`
  `parsePaneState​(PaneState state)`
  Parses the pane state.
  `static PaneState`
  `parsePaneState​(String state)`
  Parses the pane state.
  `static String`
  `parsePaneType​(PaneType type)`
  Parses the pane type.
  `static PaneType`
  `parsePaneType​(String type)`
  Parses the pane type.
  `static String`
  `parsePaperSize​(PaperSize size)`
  Parses the paper size.
  `static PaperSize`
  `parsePaperSize​(String size)`
  Parses the paper size.
  `static String`
  `parseParameterType​(ParameterType type)`
  Parses the parameter type.
  `static ParameterType`
  `parseParameterType​(String type)`
  Parses the parameter type.
  `static String`
  `parsePatternType​(PatternType type)`
  Parses the pattern type.
  `static PatternType`
  `parsePatternType​(String type)`
  Parses the pattern type.
  `static String`
  `parsePhoneticAlignment​(PhoneticAlignment alignment)`
  Parses the phonetic alignment.
  `static PhoneticAlignment`
  `parsePhoneticAlignment​(String alignment)`
  Parses the phonetic alignment.
  `static String`
  `parsePhoneticType​(PhoneticType type)`
  Parses the phonetic type.
  `static PhoneticType`
  `parsePhoneticType​(String type)`
  Parses the phonetic type.
  `static String`
  `parsePivotAreaType​(PivotAreaType type)`
  Parses the pivot area type.
  `static PivotAreaType`
  `parsePivotAreaType​(String type)`
  Parses the pivot area type.
  `static String`
  `parsePivotItemType​(PivotItemType type)`
  Parses the pivot item type.
  `static PivotItemType`
  `parsePivotItemType​(String type)`
  Parses the pivot item type.
  `static String`
  `parsePivotTableAxis​(PivotTableAxis axis)`
  Parses the pivot table axis.
  `static PivotTableAxis`
  `parsePivotTableAxis​(String axis)`
  Parses the pivot table axis.
  `static String`
  `parsePivotTableFormatType​(PivotTableFormatType type)`
  Parses the pivot table format type.
  `static PivotTableFormatType`
  `parsePivotTableFormatType​(String type)`
  Parses the pivot table format type.
  `static String`
  `parsePrintError​(PrintError error)`
  Parses the print error.
  `static PrintError`
  `parsePrintError​(String error)`
  Parses the print error.
  `static String`
  `parseQualifier​(Qualifier qualifier)`
  Parses the qualifier.
  `static Qualifier`
  `parseQualifier​(String qualifier)`
  Parses the qualifier.
  `static String`
  `parseReconnectionMethod​(ReconnectionMethod method)`
  Parses the reconnection method.
  `static ReconnectionMethod`
  `parseReconnectionMethod​(String method)`
  Parses the reconnection method.
  `static String`
  `parseReferenceMode​(ReferenceMode mode)`
  Parses the reference mode.
  `static ReferenceMode`
  `parseReferenceMode​(String mode)`
  Parses the reference mode.
  `static String`
  `parseRevisionAction​(RevisionAction action)`
  Parses the revision action.
  `static RevisionAction`
  `parseRevisionAction​(String action)`
  Parses the revision action.
  `static String`
  `parseRowColumnActionType​(RowColumnActionType type)`
  Parses the row column action type.
  `static RowColumnActionType`
  `parseRowColumnActionType​(String type)`
  Parses the row column action type.
  `static String`
  `parseRunVerticalAlignment​(RunVerticalAlignment alignment)`
  Parses the run vertical alignment.
  `static RunVerticalAlignment`
  `parseRunVerticalAlignment​(String alignment)`
  Parses the run vertical alignment.
  `static String`
  `parseScreenSize​(ScreenSize size)`
  Parses the screen size.
  `static ScreenSize`
  `parseScreenSize​(String size)`
  Parses the screen size.
  `static String`
  `parseSheetVisibilityType​(SheetVisibilityType type)`
  Parses the sheet visibility type.
  `static SheetVisibilityType`
  `parseSheetVisibilityType​(String type)`
  Parses the sheet visibility type.
  `static String`
  `parseSmartTagDisplayType​(SmartTagDisplayType type)`
  Parses the smart tag display type.
  `static SmartTagDisplayType`
  `parseSmartTagDisplayType​(String type)`
  Parses the smart tag display type.
  `static String`
  `parseSortBy​(SortBy sort)`
  Parses the sort by.
  `static SortBy`
  `parseSortBy​(String sort)`
  Parses the sort by.
  `static String`
  `parseSortMethod​(SortMethod method)`
  Parses the sort method.
  `static SortMethod`
  `parseSortMethod​(String method)`
  Parses the sort method.
  `static String`
  `parseSourceType​(SourceType type)`
  Parses the source type.
  `static SourceType`
  `parseSourceType​(String type)`
  Parses the source type.
  `static String`
  `parseSqlDataType​(SqlDataType type)`
  Parses the sql data type.
  `static SqlDataType`
  `parseSqlDataType​(String type)`
  Parses the sql data type.
  `static String`
  `parseTableStyleType​(TableStyleType type)`
  Parses the table style type.
  `static TableStyleType`
  `parseTableStyleType​(String type)`
  Parses the table style type.
  `static String`
  `parseTableType​(TableType type)`
  Parses the table type.
  `static TableType`
  `parseTableType​(String type)`
  Parses the table type.
  `static String`
  `parseTextFieldDataType​(TextFieldDataType type)`
  Parses the text field data type.
  `static TextFieldDataType`
  `parseTextFieldDataType​(String type)`
  Parses the text field data type.
  `static String`
  `parseTimePeriod​(TimePeriod timePeriod)`
  Parses the time period.
  `static TimePeriod`
  `parseTimePeriod​(String timePeriod)`
  Parses the time period.
  `static String`
  `parseTotalsRowFunction​(TotalsRowFunction function)`
  Parses the totals row function.
  `static TotalsRowFunction`
  `parseTotalsRowFunction​(String function)`
  Parses the totals row function.
  `static String`
  `parseUnderlineType​(UnderlineType type)`
  Parses the underline type.
  `static UnderlineType`
  `parseUnderlineType​(String type)`
  Parses the underline type.
  `static String`
  `parseUpdateLinksType​(UpdateLinksType type)`
  Parses the update links type.
  `static UpdateLinksType`
  `parseUpdateLinksType​(String type)`
  Parses the update links type.
  `static String`
  `parseVerticalAlignment​(VerticalAlignment alignment)`
  Parses the vertical alignment.
  `static VerticalAlignment`
  `parseVerticalAlignment​(String alignment)`
  Parses the vertical alignment.
  `static String`
  `parseWebSourceType​(WebSourceType type)`
  Parses the web source type.
  `static WebSourceType`
  `parseWebSourceType​(String type)`
  Parses the web source type.
  `static String`
  `parseWorksheetViewType​(SheetViewType type)`
  Parses the worksheet view type.
  `static SheetViewType`
  `parseWorksheetViewType​(String type)`
  Parses the worksheet view type.
  `static String`
  `parseXmlDataType​(XmlDataType type)`
  Parses the xml data type.
  `static XmlDataType`
  `parseXmlDataType​(String type)`
  Parses the xml data type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseBoolean

    public static boolean parseBoolean​(String booleanString)
    Parses the boolean.
    Parameters:
      `booleanString` - the boolean string
    Returns:
      true, if successful

  - ### parsePaperSize

    public static PaperSize parsePaperSize​(String size)
    Parses the paper size.
    Parameters:
      `size` - the size
    Returns:
      the paper size

  - ### parsePaperSize

    public static String parsePaperSize​(PaperSize size)
    Parses the paper size.
    Parameters:
      `size` - the size
    Returns:
      the string

  - ### parseTotalsRowFunction

    public static TotalsRowFunction parseTotalsRowFunction​(String function)
    Parses the totals row function.
    Parameters:
      `function` - the function
    Returns:
      the totals row function

  - ### parseTotalsRowFunction

    public static String parseTotalsRowFunction​(TotalsRowFunction function)
    Parses the totals row function.
    Parameters:
      `function` - the function
    Returns:
      the string

  - ### parseIndexedColor

    public static IndexedColor parseIndexedColor​(String color)
    Parses the indexed color.
    Parameters:
      `color` - the color
    Returns:
      the indexed color

  - ### parseIndexedColor

    public static String parseIndexedColor​(IndexedColor color)
    Parses the indexed color.
    Parameters:
      `color` - the color
    Returns:
      the string

  - ### parseReconnectionMethod

    public static ReconnectionMethod parseReconnectionMethod​(String method)
    Parses the reconnection method.
    Parameters:
      `method` - the method
    Returns:
      the reconnection method

  - ### parseReconnectionMethod

    public static String parseReconnectionMethod​(ReconnectionMethod method)
    Parses the reconnection method.
    Parameters:
      `method` - the method
    Returns:
      the string

  - ### parseCredentialsMethod

    public static CredentialsMethod parseCredentialsMethod​(String method)
    Parses the credentials method.
    Parameters:
      `method` - the method
    Returns:
      the credentials method

  - ### parseCredentialsMethod

    public static String parseCredentialsMethod​(CredentialsMethod method)
    Parses the credentials method.
    Parameters:
      `method` - the method
    Returns:
      the string

  - ### parseParameterType

    public static ParameterType parseParameterType​(String type)
    Parses the parameter type.
    Parameters:
      `type` - the type
    Returns:
      the parameter type

  - ### parseParameterType

    public static String parseParameterType​(ParameterType type)
    Parses the parameter type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseHtmlFormattingHandling

    public static HtmlFormattingHandling parseHtmlFormattingHandling​(String handling)
    Parses the html formatting handling.
    Parameters:
      `handling` - the handling
    Returns:
      the html formatting handling

  - ### parseHtmlFormattingHandling

    public static String parseHtmlFormattingHandling​(HtmlFormattingHandling handling)
    Parses the html formatting handling.
    Parameters:
      `handling` - the handling
    Returns:
      the string

  - ### parseRevisionAction

    public static RevisionAction parseRevisionAction​(String action)
    Parses the revision action.
    Parameters:
      `action` - the action
    Returns:
      the revision action

  - ### parseRevisionAction

    public static String parseRevisionAction​(RevisionAction action)
    Parses the revision action.
    Parameters:
      `action` - the action
    Returns:
      the string

  - ### parseEditAs

    public static EditAs parseEditAs​(String edit)
    Parses the edit as.
    Parameters:
      `edit` - the edit
    Returns:
      the edits the as

  - ### parseEditAs

    public static String parseEditAs​(EditAs edit)
    Parses the edit as.
    Parameters:
      `edit` - the edit
    Returns:
      the string

  - ### parseQualifier

    public static Qualifier parseQualifier​(String qualifier)
    Parses the qualifier.
    Parameters:
      `qualifier` - the qualifier
    Returns:
      the qualifier

  - ### parseQualifier

    public static String parseQualifier​(Qualifier qualifier)
    Parses the qualifier.
    Parameters:
      `qualifier` - the qualifier
    Returns:
      the string

  - ### parseFormulaExpressionType

    public static FormulaExpressionType parseFormulaExpressionType​(String type)
    Parses the formula expression type.
    Parameters:
      `type` - the type
    Returns:
      the formula expression type

  - ### parseFormulaExpressionType

    public static String parseFormulaExpressionType​(FormulaExpressionType type)
    Parses the formula expression type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFileType

    public static FileType parseFileType​(String type)
    Parses the file type.
    Parameters:
      `type` - the type
    Returns:
      the file type

  - ### parseFileType

    public static String parseFileType​(FileType type)
    Parses the file type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCommandType

    public static CommandType parseCommandType​(String type)
    Parses the command type.
    Parameters:
      `type` - the type
    Returns:
      the command type

  - ### parseCommandType

    public static String parseCommandType​(CommandType type)
    Parses the command type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTextFieldDataType

    public static TextFieldDataType parseTextFieldDataType​(String type)
    Parses the text field data type.
    Parameters:
      `type` - the type
    Returns:
      the text field data type

  - ### parseTextFieldDataType

    public static String parseTextFieldDataType​(TextFieldDataType type)
    Parses the text field data type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDatabaseSourceType

    public static DatabaseSourceType parseDatabaseSourceType​(String type)
    Parses the database source type.
    Parameters:
      `type` - the type
    Returns:
      the database source type

  - ### parseDatabaseSourceType

    public static String parseDatabaseSourceType​(DatabaseSourceType type)
    Parses the database source type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCellType

    public static CellType parseCellType​(String type)
    Parses the cell type.
    Parameters:
      `type` - the type
    Returns:
      the cell type

  - ### parseCellType

    public static String parseCellType​(CellType type)
    Parses the cell type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFieldSortType

    public static String parseFieldSortType​(FieldSortType type)
    Parses the field sort type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFieldSortType

    public static FieldSortType parseFieldSortType​(String type)
    Parses the field sort type.
    Parameters:
      `type` - the type
    Returns:
      the field sort type

  - ### parsePivotTableFormatType

    public static PivotTableFormatType parsePivotTableFormatType​(String type)
    Parses the pivot table format type.
    Parameters:
      `type` - the type
    Returns:
      the pivot table format type

  - ### parsePivotTableFormatType

    public static String parsePivotTableFormatType​(PivotTableFormatType type)
    Parses the pivot table format type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePivotItemType

    public static PivotItemType parsePivotItemType​(String type)
    Parses the pivot item type.
    Parameters:
      `type` - the type
    Returns:
      the pivot item type

  - ### parsePivotItemType

    public static String parsePivotItemType​(PivotItemType type)
    Parses the pivot item type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePivotTableAxis

    public static String parsePivotTableAxis​(PivotTableAxis axis)
    Parses the pivot table axis.
    Parameters:
      `axis` - the axis
    Returns:
      the string

  - ### parsePivotTableAxis

    public static PivotTableAxis parsePivotTableAxis​(String axis)
    Parses the pivot table axis.
    Parameters:
      `axis` - the axis
    Returns:
      the pivot table axis

  - ### parseVerticalAlignment

    public static String parseVerticalAlignment​(VerticalAlignment alignment)
    Parses the vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseVerticalAlignment

    public static VerticalAlignment parseVerticalAlignment​(String alignment)
    Parses the vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the vertical alignment

  - ### parsePhoneticType

    public static PhoneticType parsePhoneticType​(String type)
    Parses the phonetic type.
    Parameters:
      `type` - the type
    Returns:
      the phonetic type

  - ### parsePhoneticType

    public static String parsePhoneticType​(PhoneticType type)
    Parses the phonetic type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePhoneticAlignment

    public static PhoneticAlignment parsePhoneticAlignment​(String alignment)
    Parses the phonetic alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the phonetic alignment

  - ### parsePhoneticAlignment

    public static String parsePhoneticAlignment​(PhoneticAlignment alignment)
    Parses the phonetic alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseFunctionGroupCategory

    public static FunctionGroupCategory parseFunctionGroupCategory​(String group)
    Parses the function group category.
    Parameters:
      `group` - the group
    Returns:
      the function group category

  - ### parseFunctionGroupCategory

    public static String parseFunctionGroupCategory​(FunctionGroupCategory group)
    Parses the function group category.
    Parameters:
      `group` - the group
    Returns:
      the string

  - ### parseConditionalFormatOperator

    public static ConditionalFormatOperator parseConditionalFormatOperator​(String formatOperator)
    Parses the conditional format operator.
    Parameters:
      `formatOperator` - the format operator
    Returns:
      the conditional format operator

  - ### parseConditionalFormatOperator

    public static String parseConditionalFormatOperator​(ConditionalFormatOperator formatOperator)
    Parses the conditional format operator.
    Parameters:
      `formatOperator` - the format operator
    Returns:
      the string

  - ### parseFilterOperator

    public static FilterOperator parseFilterOperator​(String filterOperator)
    Parses the filter operator.
    Parameters:
      `filterOperator` - the filter operator
    Returns:
      the filter operator

  - ### parseFilterOperator

    public static String parseFilterOperator​(FilterOperator filterOperator)
    Parses the filter operator.
    Parameters:
      `filterOperator` - the filter operator
    Returns:
      the string

  - ### parseRunVerticalAlignment

    public static RunVerticalAlignment parseRunVerticalAlignment​(String alignment)
    Parses the run vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the run vertical alignment

  - ### parseRunVerticalAlignment

    public static String parseRunVerticalAlignment​(RunVerticalAlignment alignment)
    Parses the run vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseSortMethod

    public static String parseSortMethod​(SortMethod method)
    Parses the sort method.
    Parameters:
      `method` - the method
    Returns:
      the string

  - ### parseSortMethod

    public static SortMethod parseSortMethod​(String method)
    Parses the sort method.
    Parameters:
      `method` - the method
    Returns:
      the sort method

  - ### parseCalculationMode

    public static CalculationMode parseCalculationMode​(String mode)
    Parses the calculation mode.
    Parameters:
      `mode` - the mode
    Returns:
      the calculation mode

  - ### parseCalculationMode

    public static String parseCalculationMode​(CalculationMode mode)
    Parses the calculation mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseReferenceMode

    public static ReferenceMode parseReferenceMode​(String mode)
    Parses the reference mode.
    Parameters:
      `mode` - the mode
    Returns:
      the reference mode

  - ### parseReferenceMode

    public static String parseReferenceMode​(ReferenceMode mode)
    Parses the reference mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parsePaneType

    public static String parsePaneType​(PaneType type)
    Parses the pane type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePaneType

    public static PaneType parsePaneType​(String type)
    Parses the pane type.
    Parameters:
      `type` - the type
    Returns:
      the pane type

  - ### parseOleUpdateType

    public static OleUpdateType parseOleUpdateType​(String type)
    Parses the ole update type.
    Parameters:
      `type` - the type
    Returns:
      the ole update type

  - ### parseOleUpdateType

    public static String parseOleUpdateType​(OleUpdateType type)
    Parses the ole update type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDataViewAspectType

    public static DataViewAspectType parseDataViewAspectType​(String type)
    Parses the data view aspect type.
    Parameters:
      `type` - the type
    Returns:
      the data view aspect type

  - ### parseDataViewAspectType

    public static String parseDataViewAspectType​(DataViewAspectType type)
    Parses the data view aspect type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseUpdateLinksType

    public static UpdateLinksType parseUpdateLinksType​(String type)
    Parses the update links type.
    Parameters:
      `type` - the type
    Returns:
      the update links type

  - ### parseUpdateLinksType

    public static String parseUpdateLinksType​(UpdateLinksType type)
    Parses the update links type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDataValidationImeMode

    public static String parseDataValidationImeMode​(DataValidationImeMode mode)
    Parses the data validation ime mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseDataValidationImeMode

    public static DataValidationImeMode parseDataValidationImeMode​(String mode)
    Parses the data validation ime mode.
    Parameters:
      `mode` - the mode
    Returns:
      the data validation ime mode

  - ### parseDataValidationType

    public static DataValidationType parseDataValidationType​(String type)
    Parses the data validation type.
    Parameters:
      `type` - the type
    Returns:
      the data validation type

  - ### parseScreenSize

    public static String parseScreenSize​(ScreenSize size)
    Parses the screen size.
    Parameters:
      `size` - the size
    Returns:
      the string

  - ### parseScreenSize

    public static ScreenSize parseScreenSize​(String size)
    Parses the screen size.
    Parameters:
      `size` - the size
    Returns:
      the screen size

  - ### parseDataValidationType

    public static String parseDataValidationType​(DataValidationType type)
    Parses the data validation type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDataValidationOperator

    public static DataValidationOperator parseDataValidationOperator​(String op)
    Parses the data validation operator.
    Parameters:
      `op` - the op
    Returns:
      the data validation operator

  - ### parseDataValidationOperator

    public static String parseDataValidationOperator​(DataValidationOperator op)
    Parses the data validation operator.
    Parameters:
      `op` - the op
    Returns:
      the string

  - ### parseDataValidationErrorStyle

    public static DataValidationErrorStyle parseDataValidationErrorStyle​(String style)
    Parses the data validation error style.
    Parameters:
      `style` - the style
    Returns:
      the data validation error style

  - ### parseDataValidationErrorStyle

    public static String parseDataValidationErrorStyle​(DataValidationErrorStyle style)
    Parses the data validation error style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseDataConsolidateFunction

    public static DataConsolidateFunction parseDataConsolidateFunction​(String function)
    Parses the data consolidate function.
    Parameters:
      `function` - the function
    Returns:
      the data consolidate function

  - ### parseDataConsolidateFunction

    public static String parseDataConsolidateFunction​(DataConsolidateFunction function)
    Parses the data consolidate function.
    Parameters:
      `function` - the function
    Returns:
      the string

  - ### parseConditionalFormatValueObjectType

    public static ConditionalFormatValueObjectType parseConditionalFormatValueObjectType​(String type)
    Parses the conditional format value object type.
    Parameters:
      `type` - the type
    Returns:
      the conditional format value object type

  - ### parseConditionalFormatValueObjectType

    public static String parseConditionalFormatValueObjectType​(ConditionalFormatValueObjectType type)
    Parses the conditional format value object type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCalendarType

    public static CalendarType parseCalendarType​(String type)
    Parses the calendar type.
    Parameters:
      `type` - the type
    Returns:
      the calendar type

  - ### parseCalendarType

    public static String parseCalendarType​(CalendarType type)
    Parses the calendar type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseSortBy

    public static SortBy parseSortBy​(String sort)
    Parses the sort by.
    Parameters:
      `sort` - the sort
    Returns:
      the sort by

  - ### parseSortBy

    public static String parseSortBy​(SortBy sort)
    Parses the sort by.
    Parameters:
      `sort` - the sort
    Returns:
      the string

  - ### parseObjectDisplayType

    public static ObjectDisplayType parseObjectDisplayType​(String type)
    Parses the object display type.
    Parameters:
      `type` - the type
    Returns:
      the object display type

  - ### parseObjectDisplayType

    public static String parseObjectDisplayType​(ObjectDisplayType type)
    Parses the object display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCommentDisplayType

    public static CommentDisplayType parseCommentDisplayType​(String type)
    Parses the comment display type.
    Parameters:
      `type` - the type
    Returns:
      the comment display type

  - ### parseCommentDisplayType

    public static String parseCommentDisplayType​(CommentDisplayType type)
    Parses the comment display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePivotAreaType

    public static PivotAreaType parsePivotAreaType​(String type)
    Parses the pivot area type.
    Parameters:
      `type` - the type
    Returns:
      the pivot area type

  - ### parsePivotAreaType

    public static String parsePivotAreaType​(PivotAreaType type)
    Parses the pivot area type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTableType

    public static TableType parseTableType​(String type)
    Parses the table type.
    Parameters:
      `type` - the type
    Returns:
      the table type

  - ### parseTableType

    public static String parseTableType​(TableType type)
    Parses the table type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseSqlDataType

    public static SqlDataType parseSqlDataType​(String type)
    Parses the sql data type.
    Parameters:
      `type` - the type
    Returns:
      the sql data type

  - ### parseSqlDataType

    public static String parseSqlDataType​(SqlDataType type)
    Parses the sql data type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseGrowShrinkType

    public static GrowShrinkType parseGrowShrinkType​(String type)
    Parses the grow shrink type.
    Parameters:
      `type` - the type
    Returns:
      the grow shrink type

  - ### parseGrowShrinkType

    public static String parseGrowShrinkType​(GrowShrinkType type)
    Parses the grow shrink type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseRowColumnActionType

    public static RowColumnActionType parseRowColumnActionType​(String type)
    Parses the row column action type.
    Parameters:
      `type` - the type
    Returns:
      the row column action type

  - ### parseRowColumnActionType

    public static String parseRowColumnActionType​(RowColumnActionType type)
    Parses the row column action type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseWebSourceType

    public static WebSourceType parseWebSourceType​(String type)
    Parses the web source type.
    Parameters:
      `type` - the type
    Returns:
      the web source type

  - ### parseWebSourceType

    public static String parseWebSourceType​(WebSourceType type)
    Parses the web source type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseSourceType

    public static SourceType parseSourceType​(String type)
    Parses the source type.
    Parameters:
      `type` - the type
    Returns:
      the source type

  - ### parseSourceType

    public static String parseSourceType​(SourceType type)
    Parses the source type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDdeValueType

    public static DdeValueType parseDdeValueType​(String type)
    Parses the dde value type.
    Parameters:
      `type` - the type
    Returns:
      the dde value type

  - ### parseDdeValueType

    public static String parseDdeValueType​(DdeValueType type)
    Parses the dde value type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDataBindingLoadMode

    public static DataBindingLoadMode parseDataBindingLoadMode​(String mode)
    Parses the data binding load mode.
    Parameters:
      `mode` - the mode
    Returns:
      the data binding load mode

  - ### parseDataBindingLoadMode

    public static String parseDataBindingLoadMode​(DataBindingLoadMode mode)
    Parses the data binding load mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseSheetVisibilityType

    public static SheetVisibilityType parseSheetVisibilityType​(String type)
    Parses the sheet visibility type.
    Parameters:
      `type` - the type
    Returns:
      the sheet visibility type

  - ### parseSheetVisibilityType

    public static String parseSheetVisibilityType​(SheetVisibilityType type)
    Parses the sheet visibility type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDisplayFormat

    public static DisplayFormat parseDisplayFormat​(String format)
    Parses the display format.
    Parameters:
      `format` - the format
    Returns:
      the display format

  - ### parseDisplayFormat

    public static String parseDisplayFormat​(DisplayFormat format)
    Parses the display format.
    Parameters:
      `format` - the format
    Returns:
      the string

  - ### parseUnderlineType

    public static UnderlineType parseUnderlineType​(String type)
    Parses the underline type.
    Parameters:
      `type` - the type
    Returns:
      the underline type

  - ### parseUnderlineType

    public static String parseUnderlineType​(UnderlineType type)
    Parses the underline type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseGradientType

    public static String parseGradientType​(GradientType type)
    Parses the gradient type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseGradientType

    public static GradientType parseGradientType​(String type)
    Parses the gradient type.
    Parameters:
      `type` - the type
    Returns:
      the gradient type

  - ### parseXmlDataType

    public static XmlDataType parseXmlDataType​(String type)
    Parses the xml data type.
    Parameters:
      `type` - the type
    Returns:
      the xml data type

  - ### parseXmlDataType

    public static String parseXmlDataType​(XmlDataType type)
    Parses the xml data type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseSmartTagDisplayType

    public static SmartTagDisplayType parseSmartTagDisplayType​(String type)
    Parses the smart tag display type.
    Parameters:
      `type` - the type
    Returns:
      the smart tag display type

  - ### parseSmartTagDisplayType

    public static String parseSmartTagDisplayType​(SmartTagDisplayType type)
    Parses the smart tag display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePageOrder

    public static PageOrder parsePageOrder​(String order)
    Parses the page order.
    Parameters:
      `order` - the order
    Returns:
      the page order

  - ### parsePageOrder

    public static String parsePageOrder​(PageOrder order)
    Parses the page order.
    Parameters:
      `order` - the order
    Returns:
      the string

  - ### parsePrintError

    public static PrintError parsePrintError​(String error)
    Parses the print error.
    Parameters:
      `error` - the error
    Returns:
      the prints the error

  - ### parsePrintError

    public static String parsePrintError​(PrintError error)
    Parses the print error.
    Parameters:
      `error` - the error
    Returns:
      the string

  - ### parseCellComment

    public static CellComment parseCellComment​(String comment)
    Parses the cell comment.
    Parameters:
      `comment` - the comment
    Returns:
      the cell comment

  - ### parseCellComment

    public static String parseCellComment​(CellComment comment)
    Parses the cell comment.
    Parameters:
      `comment` - the comment
    Returns:
      the string

  - ### parseOrientation

    public static Orientation parseOrientation​(String orientation)
    Parses the orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the orientation

  - ### parseOrientation

    public static String parseOrientation​(Orientation orientation)
    Parses the orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the string

  - ### parsePaneState

    public static PaneState parsePaneState​(String state)
    Parses the pane state.
    Parameters:
      `state` - the state
    Returns:
      the pane state

  - ### parsePaneState

    public static String parsePaneState​(PaneState state)
    Parses the pane state.
    Parameters:
      `state` - the state
    Returns:
      the string

  - ### parseWorksheetViewType

    public static String parseWorksheetViewType​(SheetViewType type)
    Parses the worksheet view type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseWorksheetViewType

    public static SheetViewType parseWorksheetViewType​(String type)
    Parses the worksheet view type.
    Parameters:
      `type` - the type
    Returns:
      the sheet view type

  - ### parseFormulaType

    public static FormulaType parseFormulaType​(String type)
    Parses the formula type.
    Parameters:
      `type` - the type
    Returns:
      the formula type

  - ### parseFormulaType

    public static String parseFormulaType​(FormulaType type)
    Parses the formula type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTimePeriod

    public static TimePeriod parseTimePeriod​(String timePeriod)
    Parses the time period.
    Parameters:
      `timePeriod` - the time period
    Returns:
      the time period

  - ### parseTimePeriod

    public static String parseTimePeriod​(TimePeriod timePeriod)
    Parses the time period.
    Parameters:
      `timePeriod` - the time period
    Returns:
      the string

  - ### parseConditionalFormatType

    public static ConditionalFormatType parseConditionalFormatType​(String type)
    Parses the conditional format type.
    Parameters:
      `type` - the type
    Returns:
      the conditional format type

  - ### parseConditionalFormatType

    public static String parseConditionalFormatType​(ConditionalFormatType type)
    Parses the conditional format type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFontScheme

    public static FontScheme parseFontScheme​(String scheme)
    Parses the font scheme.
    Parameters:
      `scheme` - the scheme
    Returns:
      the font scheme

  - ### parseFontScheme

    public static String parseFontScheme​(FontScheme scheme)
    Parses the font scheme.
    Parameters:
      `scheme` - the scheme
    Returns:
      the string

  - ### parseDateTimeGrouping

    public static DateTimeGrouping parseDateTimeGrouping​(String grouping)
    Parses the date time grouping.
    Parameters:
      `grouping` - the grouping
    Returns:
      the date time grouping

  - ### parseDateTimeGrouping

    public static String parseDateTimeGrouping​(DateTimeGrouping grouping)
    Parses the date time grouping.
    Parameters:
      `grouping` - the grouping
    Returns:
      the string

  - ### parseHorizontalAlignment

    public static HorizontalAlignment parseHorizontalAlignment​(String alignment)
    Parses the horizontal alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the horizontal alignment

  - ### parseHorizontalAlignment

    public static String parseHorizontalAlignment​(HorizontalAlignment alignment)
    Parses the horizontal alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseBorderStyle

    public static BorderStyle parseBorderStyle​(String style)
    Parses the border style.
    Parameters:
      `style` - the style
    Returns:
      the border style

  - ### parseBorderStyle

    public static String parseBorderStyle​(BorderStyle style)
    Parses the border style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parsePatternType

    public static String parsePatternType​(PatternType type)
    Parses the pattern type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePatternType

    public static PatternType parsePatternType​(String type)
    Parses the pattern type.
    Parameters:
      `type` - the type
    Returns:
      the pattern type

  - ### parseTableStyleType

    public static TableStyleType parseTableStyleType​(String type)
    Parses the table style type.
    Parameters:
      `type` - the type
    Returns:
      the table style type

  - ### parseTableStyleType

    public static String parseTableStyleType​(TableStyleType type)
    Parses the table style type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseIconSetType

    public static IconSetType parseIconSetType​(String type)
    Parses the icon set type.
    Parameters:
      `type` - the type
    Returns:
      the icon set type

  - ### parseIconSetType

    public static String parseIconSetType​(IconSetType type)
    Parses the icon set type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDynamicFilterType

    public static DynamicFilterType parseDynamicFilterType​(String type)
    Parses the dynamic filter type.
    Parameters:
      `type` - the type
    Returns:
      the dynamic filter type

  - ### parseDynamicFilterType

    public static String parseDynamicFilterType​(DynamicFilterType type)
    Parses the dynamic filter type.
    Parameters:
      `type` - the type
    Returns:
      the string